Package org.eclipse.jgit.lib

## Class SymlinkTreeEntry

- java.lang.Object
- - org.eclipse.jgit.lib.TreeEntry
  - - org.eclipse.jgit.lib.SymlinkTreeEntry

All Implemented Interfaces:
  `Comparable`

    @Deprecated
    public class SymlinkTreeEntry
    extends TreeEntry

Deprecated.
To look up information about a single path, use `TreeWalk.forPath(Repository, String, org.eclipse.jgit.revwalk.RevTree)`. To lookup information about multiple paths at once, use a `TreeWalk` and obtain the current entry's information from its getter methods.
A tree entry representing a symbolic link. Note. Java cannot really handle these as file system objects.

### Constructor Summary

Constructors
`SymlinkTreeEntry​(Tree parent, ObjectId id, byte[] nameUTF8)` Deprecated. Construct a `SymlinkTreeEntry` with the specified name and SHA-1 in the specified parent

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`FileMode` `getMode()` Deprecated.
`String` `toString()` Deprecated.

### Methods inherited from class org.eclipse.jgit.lib.TreeEntry

`compareTo, delete, detachParent, getFullName, getFullNameUTF8, getId, getName, getNameUTF8, getParent, getRepository, isModified, lastChar, rename, rename, setId, setModified`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SymlinkTreeEntry

    public SymlinkTreeEntry​(Tree parent,
                            ObjectId id,
                            byte[] nameUTF8)

Deprecated.
Construct a `SymlinkTreeEntry` with the specified name and SHA-1 in the specified parent

Parameters:
  `parent` -
  `id` -
  `nameUTF8` -

### Method Detail

#### getMode

    public FileMode getMode()

Deprecated.

Specified by:
  `getMode` in class `TreeEntry`
Returns:
  mode (type of object)

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`